;				Tek*Tone v2.0
;			  2000 the cyborg operation
;
;		       http://www.igloowebdesign.com/tco
;
;	this program generates a solid tone through an external speaker
;	device, which can be varied using the left and right cursor keys

.include "CRASH82.inc"
.db "TEK*tone v 2.0",0

#define	ON	%11000000
#define	OFF	%11111100

 DI
 ROM_CALL(CLEARLCD)	
 ld 		c,0
 ld 		a,27
 ld		(CURSOR_X),a
 ld		a,0
 ld		(CURSOR_Y),a
 ld 		hl, txt_lbl
 ROM_CALL(D_ZM_STR) 
 ld 		a,12
 ld		(CURSOR_X),a
 ld		a,10
 ld		(CURSOR_Y),a
 ld		hl,txt_lbl2
 ROM_CALL(D_ZM_STR)  
 ld 		a,6
 ld		(CURSOR_X),a
 ld		a,20
 ld		(CURSOR_Y),a
 ld		hl,txt_inst
 ROM_CALL(D_ZM_STR)  
 ld 		a,13
 ld		(CURSOR_X),a
 ld		a,30
 ld		(CURSOR_Y),a
 ld		hl,txt_ext
 ROM_CALL(D_ZM_STR)  
 call 		Loop

Loop:

 call		GET_KEY
 cp 		G_RIGHT
 jp		z, right
 cp		G_LEFT
 jp		z , left
 cp		G_ENTER          
 ret		z

 xor 		a
 jr 		nz, Speaker_OFF
 xor 		a

Speaker_OFF:
 		ld a, OFF
 		out (0), a
		ld b ,c

Delay1: djnz	Delay1

Speaker_ON:
		ld a, ON
 		out (0), a
 		ld b, c

Delay2: djnz	Delay2



 jp Loop

left:
 		dec c       		
		jr Loop

right:
 		inc c
		jr Loop

txt_lbl:
		.db "TEK*TONE",0
txt_lbl2:
		.db "the cyborg operation",0
txt_inst:
		.db "Use Left/right cursor keys",0
txt_ext:
		.db "Press ENTER to exit...",0



